package com.jkcredit.record.storage.config;

import org.apache.http.HttpHost;
import org.elasticsearch.action.bulk.BulkRequestBuilder;
import org.elasticsearch.client.*;
import org.elasticsearch.transport.Transport;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Configuration
public class EsConfig {

    public static final org.elasticsearch.client.RequestOptions COMMON_OPTIONS;

    static {
        RequestOptions.Builder builder = RequestOptions.DEFAULT.toBuilder();
        COMMON_OPTIONS = builder.build();
    }

    @Bean
    public RestHighLevelClient esRestClient() {
        RestClientBuilder builder = null;
        // 可以指定多个es
        builder = RestClient.builder(
                new HttpHost("192.168.50.17", 9200, "http"),
                new HttpHost("192.168.50.18", 9200, "http"),
                new HttpHost("192.168.50.19", 9200, "http"));
        RestHighLevelClient client = new RestHighLevelClient(builder);
        return client;
    }
}
